Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class Session

    java.lang.Object
      edu.stanford.smi.protege.server.Session

All Implemented Interfaces:
  RemoteSession, Serializable

    public class Session

extends Object
implements RemoteSession, Serializable

See Also:
  Serialized Form

Constructor Summary
`Session()`
`Session(String userName, String userIpAddress)`
`Session(String userName, String userIpAddress, boolean allowDelegation)`

Method Summary
`boolean` | `allowDelegation()`
`boolean` | `equals(Object o)`
`int` | `getId()`
`String` | `getRealUserName()`
`long` | `getStartTime()`
`String` | `getUserIpAddress()`
`String` | `getUserName()`
`int` | `hashCode()`
`void` | `setDelegate(String delegateUserName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Session

    public Session(String userName,
                   String userIpAddress)

### Session

    public Session(String userName,
                   String userIpAddress,
                   boolean allowDelegation)

### Session

    public Session()

Method Detail

### getId

    public int getId()

  Specified by:
    `getId` in interface `RemoteSession`

### allowDelegation

    public boolean allowDelegation()

  Specified by:
    `allowDelegation` in interface `RemoteSession`

### setDelegate

    public void setDelegate(String delegateUserName)

  Specified by:
    `setDelegate` in interface `RemoteSession`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `RemoteSession`

### getRealUserName

    public String getRealUserName()

  Specified by:
    `getRealUserName` in interface `RemoteSession`

### getUserIpAddress

    public String getUserIpAddress()

  Specified by:
    `getUserIpAddress` in interface `RemoteSession`

### getStartTime

    public long getStartTime()

  Specified by:
    `getStartTime` in interface `RemoteSession`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.